[18.04] Regression: wired network does not work upon resume from suspend

Bug #1759644 reported by Alexey Balmashnov on 2018-03-28
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Bionic
High
Unassigned

Bug Description

After upgrade to 18.04 (bionic) I've encountered the following regression: wired network connection does not work, when system is resumed from suspend.

Reloading the kernel driver module seems to help:
sudo modprobe -r r8169
sudo modprobe r8169

Could this be fixed structurally?

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: network-manager 1.10.6-2ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
Uname: Linux 4.15.0-13-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Wed Mar 28 20:08:20 2018
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2016-01-06 (811 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
IpRoute:
 default via 192.168.0.1 dev enp5s0 proto dhcp metric 100
 169.254.0.0/16 dev enp5s0 scope link metric 1000
 192.168.0.0/24 dev enp5s0 proto kernel scope link src 192.168.0.107 metric 100
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=false
 WWANEnabled=true
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: yes
  Hard blocked: no
SourcePackage: network-manager
UpgradeStatus: Upgraded to bionic on 2018-03-21 (6 days ago)
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT AUTOCONNECT-PRIORITY READONLY DBUS-PATH ACTIVE DEVICE STATE ACTIVE-PATH SLAVE
 Wired connection 1 7fa0c3a2-6ef0-37fd-9f9e-9029777aaf23 ethernet 1522260260 wo 28 mrt 2018 20:04:20 CEST yes 4294966297 no /org/freedesktop/NetworkManager/Settings/3 yes enp5s0 activated /org/freedesktop/NetworkManager/ActiveConnection/1 --
 dzente a899e56b-4048-43a8-bc38-9212d0af383b wifi 1493769143 wo 03 mei 2017 01:52:23 CEST yes 0 no /org/freedesktop/NetworkManager/Settings/1 no -- -- -- --
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH CONNECTION CON-UUID CON-PATH
 enp5s0 ethernet connected /org/freedesktop/NetworkManager/Devices/4 Wired connection 1 7fa0c3a2-6ef0-37fd-9f9e-9029777aaf23 /org/freedesktop/NetworkManager/ActiveConnection/1
 wlp4s0 wifi unavailable /org/freedesktop/NetworkManager/Devices/3 -- -- --
 lo loopback unmanaged /org/freedesktop/NetworkManager/Devices/1 -- -- --
nmcli-nm:
 RUNNING VERSION STATE STARTUP CONNECTIVITY NETWORKING WIFI-HW WIFI WWAN-HW WWAN
 running 1.10.6 connected started full enabled enabled disabled enabled enabled
---
ApportVersion: 2.20.9-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: alexei 1673 F.... pulseaudio
 /dev/snd/controlC0: alexei 1673 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
HibernationDevice: RESUME=UUID=45af239b-c597-45a1-bb72-3ba25b5ee546
InstallationDate: Installed on 2016-01-06 (812 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
NonfreeKernelModules: nvidia_modeset nvidia
Package: linux (not installed)
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-13-generic.efi.signed root=UUID=d4f27b9e-0cff-49e1-8392-a41aa520bd85 ro noprompt persistent quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-13-generic N/A
 linux-backports-modules-4.15.0-13-generic N/A
 linux-firmware 1.173
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: yes
  Hard blocked: no
Tags: bionic
Uname: Linux 4.15.0-13-generic x86_64
UpgradeStatus: Upgraded to bionic on 2018-03-21 (7 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 09/16/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.10
dmi.board.name: HM65-MXM
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.10:bd09/16/2011:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnHM65-MXM:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To Be Filled By O.E.M.
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

Kai-Heng Feng (kaihengfeng) wrote :

mrt 28 19:58:45 hostname kernel: do_IRQ: 3.40 No irq handler for vector

Same as LP: #1752772?

affects: network-manager (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1759644

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16-rc7

Changed in linux (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu Bionic):
status: Confirmed → Incomplete
Michal Kukuča (michalmaria) wrote :

I do experience this bug as well. Everything was working under artful, now it does not - in my case this was not an upgrade, but a clean (erase&install) installation of bionic. Computer affected: ASUS F556U.

Florian W. (florian-will) wrote :

I'm pretty sure this is a duplicate of #1752772 , right? Like Kai-Heng Feng mentioned above. If so, please mark as duplicate.

Sorry for late reply. Fixed in 4.15.0.24.26. Just checked changelog, indeed #1752772 fixed in this kernel version.

To post a comment you must log in.